Skip to content

Anomalies

GET/api/public/v1/anomalies

Terminal window
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/anomalies' \
-H "Authorization: Bearer $OPENLATCH_API_KEY"
Role in the organizationThis endpoint
ownerAllowed
adminAllowed
editorAllowed
viewerAllowed

A key carries the role its owner holds in the organization. See Authentication.

API key scope: triage:read

ParameterTypeDescription
scopestringorg for the organization, or agent:<agent_id> for one agent.
searchstring or null
dimensionstring or null
verdictstring or null
statusstring or null
modestring or null
zonestring (uuid) or null
agentstring or null
policystring or null
windowstring or null
archivedboolean
pageinteger
page_sizeinteger
cursorstring or null
FieldTypeDescription
dataarray of objectRequired.
data[].agent_idstring or null
data[].archived_atstring (date-time) or null
data[].atom_idstring or null
data[].dimensionstring or null
data[].idstringRequired.
data[].impactstring or null
data[].modestring or null
data[].occurred_atstring (date-time)Required.
data[].policy_public_idstring or null
data[].public_idstringRequired.
data[].read_atstring (date-time) or null
data[].statusstringRequired.
data[].titlestringRequired.
data[].verdictstring or null
data[].whystringRequired.
data[].zone_idstring or null
data[].zone_pathstring or null
next_cursorstring or null
pageintegerRequired.
page_sizeintegerRequired.
totalintegerRequired.
{
"data": [
{
"agent_id": "agt_01jbwa2k1vfrn9y42xhgxhmzj2",
"archived_at": "2026-01-15T14:32:05Z",
"atom_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"dimension": "string",
"id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"impact": "string",
"mode": "string",
"occurred_at": "2026-01-15T14:32:05Z",
"policy_public_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"public_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"read_at": "2026-01-15T14:32:05Z",
"status": "string",
"title": "string",
"verdict": "string",
"why": "string",
"zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"zone_path": "Engineering / Platform"
}
],
"next_cursor": "string",
"page": 1,
"page_size": 3,
"total": 3
}